CVE-2012-0845

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2012-0845 at MITRE

Description

SimpleXMLRPCServer.py in SimpleXMLRPCServer in Python before 2.6.8, 2.7.x before 2.7.3, 3.x before 3.1.5, and 3.2.x before 3.2.3 allows remote attackers to cause a denial of service (infinite loop and CPU consumption) via an XML-RPC POST request that contains a smaller amount of data than specified by the Content-Length header.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

SUSE information

SUSE Bugzilla entry: 747125

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • python-demo >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • python-devel >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • python-32bit >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-32bit >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-devel >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-32bit >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-32bit >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-32bit >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • libpython2_6-1_0 >= 2.6.8-0.13.1
  • libpython2_6-1_0-x86 >= 2.6.8-0.13.1
  • python >= 2.6.8-0.13.1
  • python-base >= 2.6.8-0.13.1
  • python-base-x86 >= 2.6.8-0.13.1
  • python-curses >= 2.6.8-0.13.1
  • python-demo >= 2.6.8-0.13.1
  • python-doc >= 2.6-8.13.2
  • python-doc-pdf >= 2.6-8.13.2
  • python-gdbm >= 2.6.8-0.13.1
  • python-idle >= 2.6.8-0.13.1
  • python-tk >= 2.6.8-0.13.1
  • python-x86 >= 2.6.8-0.13.1
  • python-xml >= 2.6.8-0.13.1
Builds
SAT Patch Nr: 6310
openSUSE 11.4
  • python3 >= 3.1.3-6.5
  • python3-2to3 >= 3.1.3-6.5
  • python3-32bit >= 3.1.3-6.5
  • python3-curses >= 3.1.3-6.5
  • python3-curses-debuginfo >= 3.1.3-6.5
  • python3-dbm >= 3.1.3-6.5
  • python3-dbm-debuginfo >= 3.1.3-6.5
  • python3-debuginfo >= 3.1.3-6.5
  • python3-debuginfo-32bit >= 3.1.3-6.5
  • python3-debuginfo-x86 >= 3.1.3-6.5
  • python3-debugsource >= 3.1.3-6.5
  • python3-demo >= 3.1.3-6.5
  • python3-devel >= 3.1.3-6.5
  • python3-doc >= 3.1-6.1
  • python3-doc-pdf >= 3.1-6.1
  • python3-idle >= 3.1.3-6.5
  • python3-tk >= 3.1.3-6.5
  • python3-tk-debuginfo >= 3.1.3-6.5
  • python3-x86 >= 3.1.3-6.5
  • python3-xml >= 3.1.3-6.5
  • python3-xml-debuginfo >= 3.1.3-6.5
Patchnames:
openSUSE-2012-302